> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a list of DescriptionEntity definitions.

> Fetch existing description entity definitions matching input filters.



## OpenAPI

````yaml /api-specs/cloud/flyte-native-api.json get /api/v1/description_entities/{resource_type}/{id.project}/{id.domain}
openapi: 3.0.3
info:
  description: >-
    Reference for the upstream Flyte control plane API, which backs Domino
    Flows.
  title: Flyte native API
  version: version not set
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech/flows
security: []
tags:
  - name: Children
  - name: Data
  - name: Description entities
  - name: Domains
  - name: Events
  - name: Executions
  - name: Launch plans
  - name: Matchable attributes
  - name: Metrics
  - name: Named entities
  - name: Node executions
  - name: Project attributes
  - name: Project domain attributes
  - name: Projects
  - name: Task executions
  - name: Tasks
  - name: Version
  - name: Workflow attributes
  - name: Workflows
paths:
  /api/v1/description_entities/{resource_type}/{id.project}/{id.domain}:
    get:
      tags:
        - Description entities
      summary: Fetch a list of DescriptionEntity definitions.
      description: Fetch existing description entity definitions matching input filters.
      operationId: AdminService_ListDescriptionEntities2
      parameters:
        - description: >-
            Identifies the specific type of resource that this identifier
            corresponds to.
          in: path
          name: resource_type
          required: true
          schema:
            enum:
              - UNSPECIFIED
              - TASK
              - WORKFLOW
              - LAUNCH_PLAN
              - DATASET
            type: string
        - description: Name of the project the resource belongs to.
          in: path
          name: id.project
          required: true
          schema:
            type: string
        - description: |-
            Name of the domain the resource belongs to.
            A domain can be considered as a subset within a specific project.
          in: path
          name: id.domain
          required: true
          schema:
            type: string
        - description: >-
            User provided value for the resource.

            The combination of project + domain + name uniquely identifies the
            resource.

            +optional - in certain contexts - like 'List API', 'Launch plans'
          in: query
          name: id.name
          required: false
          schema:
            type: string
        - description: Optional, org key applied to the resource.
          in: query
          name: id.org
          required: false
          schema:
            type: string
        - description: |-
            Indicates the number of resources to be returned.
            +required
          in: query
          name: limit
          required: false
          schema:
            format: int64
            type: integer
        - description: >-
            In the case of multiple pages of results, the server-provided token
            can be used to fetch the next page

            in a query.

            +optional
          in: query
          name: token
          required: false
          schema:
            type: string
        - description: |-
            Indicates a list of filters passed as string.
            More info on constructing filters : <Link>
            +optional
          in: query
          name: filters
          required: false
          schema:
            type: string
        - description: |-
            Indicates an attribute to sort the response values.
            +required
          in: query
          name: sort_by.key
          required: false
          schema:
            type: string
        - description: |-
            Indicates the direction to apply sort key for response values.
            +optional

             - DESCENDING: By default, fields are sorted in descending order.
          in: query
          name: sort_by.direction
          required: false
          schema:
            default: DESCENDING
            enum:
              - DESCENDING
              - ASCENDING
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/adminDescriptionEntityList'
          description: A successful response.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
          description: An unexpected error response.
components:
  schemas:
    adminDescriptionEntityList:
      properties:
        descriptionEntities:
          description: A list of DescriptionEntities returned based on the request.
          items:
            $ref: '#/components/schemas/adminDescriptionEntity'
          type: array
        token:
          description: >-
            In the case of multiple pages of results, the server-provided token
            can be used to fetch the next page

            in a query. If there are no more results, this value will be empty.
          type: string
      title: |-
        Represents a list of DescriptionEntities returned from the admin.
        See DescriptionEntity for more details
      type: object
    googlerpcStatus:
      properties:
        code:
          format: int32
          type: integer
        details:
          items:
            $ref: '#/components/schemas/protobufAny'
          type: array
        message:
          type: string
      type: object
    adminDescriptionEntity:
      description: >-
        DescriptionEntity contains detailed description for the task/workflow.

        Documentation could provide insight into the algorithms, business use
        case, etc.
      properties:
        id:
          $ref: '#/components/schemas/coreIdentifier'
        long_description:
          $ref: '#/components/schemas/adminDescription'
        short_description:
          description: One-liner overview of the entity.
          type: string
        source_code:
          $ref: '#/components/schemas/adminSourceCode'
        tags:
          description: >-
            User-specified tags. These are arbitrary and can be used for
            searching

            filtering and discovering tasks.
          items:
            type: string
          type: array
      type: object
    protobufAny:
      additionalProperties: {}
      description: >-
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message.


        Protobuf library provides support to pack/unpack Any values in the form

        of utility functions or additional generated methods of the Any type.


        Example 1: Pack and unpack a message in C++.

            Foo foo = ...;
            Any any;
            any.PackFrom(foo);
            ...
            if (any.UnpackTo(&foo)) {
              ...
            }

        Example 2: Pack and unpack a message in Java.

            Foo foo = ...;
            Any any = Any.pack(foo);
            ...
            if (any.is(Foo.class)) {
              foo = any.unpack(Foo.class);
            }
            // or ...
            if (any.isSameTypeAs(Foo.getDefaultInstance())) {
              foo = any.unpack(Foo.getDefaultInstance());
            }

         Example 3: Pack and unpack a message in Python.

            foo = Foo(...)
            any = Any()
            any.Pack(foo)
            ...
            if any.Is(Foo.DESCRIPTOR):
              any.Unpack(foo)
              ...

         Example 4: Pack and unpack a message in Go

             foo := &pb.Foo{...}
             any, err := anypb.New(foo)
             if err != nil {
               ...
             }
             ...
             foo := &pb.Foo{}
             if err := any.UnmarshalTo(foo); err != nil {
               ...
             }

        The pack methods provided by protobuf library will by default use

        'type.googleapis.com/full.type.name' as the type URL and the unpack

        methods only use the fully qualified type name after the last '/'

        in the type URL, for example "foo.bar.com/x/y.z" will yield type

        name "y.z".


        JSON

        ====

        The JSON representation of an `Any` value uses the regular

        representation of the deserialized, embedded message, with an

        additional field `@type` which contains the type URL. Example:

            package google.profile;
            message Person {
              string first_name = 1;
              string last_name = 2;
            }

            {
              "@type": "type.googleapis.com/google.profile.Person",
              "firstName": <string>,
              "lastName": <string>
            }

        If the embedded message type is well-known and has a custom JSON

        representation, that representation will be embedded adding a field

        `value` which holds the custom JSON in addition to the `@type`

        field. Example (for message [google.protobuf.Duration][]):

            {
              "@type": "type.googleapis.com/google.protobuf.Duration",
              "value": "1.212s"
            }
      properties:
        '@type':
          description: >-
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).


            In practice, teams usually precompile into the binary all types that
            they

            expect it to use in the context of Any. However, for URLs which use
            the

            scheme `http`, `https`, or no scheme, one can optionally set up a
            type

            server that maps type URLs to message definitions as follows:


            * If no scheme is provided, `https` is assumed.

            * An HTTP GET on the URL must yield a [google.protobuf.Type][]
              value in binary format, or produce an error.
            * Applications are allowed to cache lookup results based on the
              URL, or have them precompiled into a binary to avoid any
              lookup. Therefore, binary compatibility needs to be preserved
              on changes to types. (Use versioned type names to manage
              breaking changes.)

            Note: this functionality is not currently available in the official

            protobuf release, and it is not used for type URLs beginning with

            type.googleapis.com. As of May 2023, there are no widely used type
            server

            implementations and no plans to implement one.


            Schemes other than `http`, `https` (or the empty scheme) might be

            used with implementation specific semantics.
          type: string
      type: object
    coreIdentifier:
      description: Encapsulation of fields that uniquely identifies a Flyte resource.
      properties:
        domain:
          description: |-
            Name of the domain the resource belongs to.
            A domain can be considered as a subset within a specific project.
          type: string
        name:
          description: User provided value for the resource.
          type: string
        org:
          description: Optional, org key applied to the resource.
          type: string
        project:
          description: Name of the project the resource belongs to.
          type: string
        resource_type:
          $ref: '#/components/schemas/coreResourceType'
        version:
          description: Specific version of the resource.
          type: string
      type: object
    adminDescription:
      description: |-
        Full user description with formatting preserved. This can be rendered
        by clients, such as the console or command line tools with in-tact
        formatting.
      properties:
        format:
          $ref: '#/components/schemas/adminDescriptionFormat'
        icon_link:
          title: Optional link to an icon for the entity
          type: string
        uri:
          title: >-
            if the description sizes exceed some threshold we can offload the
            entire

            description proto altogether to an external data store, like S3
            rather than store inline in the db
          type: string
        value:
          title: long description - no more than 4KB
          type: string
      type: object
    adminSourceCode:
      properties:
        link:
          type: string
      title: Link to source code used to define this entity
      type: object
    coreResourceType:
      default: UNSPECIFIED
      description: >-
        Indicates a resource type within Flyte.

         - DATASET: A dataset represents an entity modeled in Flyte DataCatalog. A Dataset is also a versioned entity and can be a compilation of multiple individual objects.
        Eventually all Catalog objects should be modeled similar to Flyte
        Objects. The Dataset entities makes it possible for the UI  and CLI to
        act on the objects 

        in a similar manner to other Flyte objects
      enum:
        - UNSPECIFIED
        - TASK
        - WORKFLOW
        - LAUNCH_PLAN
        - DATASET
      type: string
    adminDescriptionFormat:
      default: DESCRIPTION_FORMAT_UNKNOWN
      description: '- DESCRIPTION_FORMAT_RST: python default documentation - comments is rst'
      enum:
        - DESCRIPTION_FORMAT_UNKNOWN
        - DESCRIPTION_FORMAT_MARKDOWN
        - DESCRIPTION_FORMAT_HTML
        - DESCRIPTION_FORMAT_RST
      title: The format of the long description
      type: string

````

## Related topics

- [Fetch a list of DescriptionEntity definitions (by name)](/api-reference/description-entities/fetch-a-list-of-descriptionentity-definitions-by-name.md)
- [Fetch a DescriptionEntity object.](/api-reference/description-entities/fetch-a-descriptionentity-object.md)
- [Fetch a list of Task definitions.](/api-reference/tasks/fetch-a-list-of-task-definitions.md)
- [Fetch a list of Workflow definitions.](/api-reference/workflows/fetch-a-list-of-workflow-definitions.md)
